@import '../../der-reader-variables.css';

#navigation {
  height: 100vh;
  top: 0;
  left: 0;
  width: 100vw;
  position: fixed;
  z-index: 10;
}

.menu {
  width: 100%;
  min-height: 100%;
  background: var(--black);
  padding: 120px 2.5% 2.5% 2.5%;
}

h1,
h2 {
  color: white;
  text-align: center;
}

.modal {
  position: absolute;
  width: 100vw;
  height: 100vh;
  left: 0;
  top: 0;
  z-index: 100;
  transition: .3s ease-out all;
  overflow: hidden;
}

@media (min-width: 1600px) {
  .modal {
    width: 100%;
    height: 100%;
  }
}

.modal--title {
  color: var(--white);
  text-align: center;
}

.modal--close-button {
  color: var(--white);
}

.modal.hidden {
  transition-delay: .3s;
  top: 100vh;
}

.selectable-list {
  margin: 0;
  padding: 0;
  text-align: center;
  color: var(--white);
  border-radius: var(--base-border-radius);
  border: solid 3px white;
}

.selectable-list--item {
  list-style-type: none;
  font-size: 100%;
}
.selectable-list--item:not(:last-child) {
  border-bottom: solid 3px white;
}
.selectable-list--item a,
.selectable-list--item label {
  font-size: 1rem;
  box-sizing: padding-box;
  display: block;
  font-weight: bold;
  padding: 1em;
}
.selectable-list--item label input[type="file"] {
  display: none;
}
.selectable-list--item a.selected,
.selectable-list--item label.selected {
  background: white;
  color: var(--black);
  cursor: normal;
}

.version {
  color: gray;
  font-size: 12px;
  text-align: right;
}
